View Issue Details Jump to Notes ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007320CMakeModulespublic2008-07-09 12:592016-06-10 14:30
ReporterMatt Leotta 
Assigned ToMiguel Figueroa 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusclosedResolutionmoved 
PlatformOSOS Version
Product VersionCMake-2-6 
Target VersionFixed in Version 
Summary0007320: Request for addition of FindFFMPEG.cmake module
DescriptionThis module is for finding the libraries associated with FFMPEG including avformat, avcodec, and avutil. FFMPEG libraries are for video file encoding and decoding. This module has been used in VXL and works in Linux and OS X. I believe it is possible to compile FFMPEG in Window, but gcc is required for this and it is not commonly done.

http://ffmpeg.mplayerhq.hu/ [^]
Additional InformationAs with my other module requests, I'm not sure that the attached file meets CMake standards, but it has been tested in Linux and OS X.

In some Debian-based Linux distributions FFMPEG is packaged with a utility script named "ffmpeg-config". This script can be used to list the other 3rd party libraries that FFMPEG has been compiled with. This CMake module uses that script when available. On my Ubuntu machine the output of 'ffmpeg-config --libs avformat' is:

-lavformat -lavcodec -lavutil -lvorbis -lvorbisenc -ltheora -logg -lraw1394 -ldc1394_control -lgsm -lz -lm


I am willing to become a maintainer of this module if necessary.
TagsNo tags attached.
Attached Files? file icon FindFFMPEG.cmake [^] (1,367 bytes) 2008-07-09 12:59
? file icon FindFFMPEG_swscale.cmake [^] (1,633 bytes) 2009-03-26 05:22
? file icon FindFFMPEG_swscale2.cmake [^] (1,657 bytes) 2009-04-11 10:16

 Relationships

  Notes
(0015803)
V0id (reporter)
2009-03-26 05:22

This is a modified version of your script with swscale support
(0016005)
V0id (reporter)
2009-04-11 10:17

Enhanced version
(0041441)
Kitware Robot (administrator)
2016-06-10 14:27

Resolving issue as `moved`.

This issue tracker is no longer used. Further discussion of this issue may take place in the current CMake Issues page linked in the banner at the top of this page.

 Issue History
Date Modified Username Field Change
2008-07-09 12:59 Matt Leotta New Issue
2008-07-09 12:59 Matt Leotta File Added: FindFFMPEG.cmake
2008-08-19 16:48 Bill Hoffman Status new => assigned
2008-08-19 16:48 Bill Hoffman Assigned To => Miguel Figueroa
2009-03-26 05:22 V0id File Added: FindFFMPEG_swscale.cmake
2009-03-26 05:22 V0id Note Added: 0015803
2009-04-11 10:16 V0id File Added: FindFFMPEG_swscale2.cmake
2009-04-11 10:17 V0id Note Added: 0016005
2016-06-10 14:27 Kitware Robot Note Added: 0041441
2016-06-10 14:27 Kitware Robot Status assigned => resolved
2016-06-10 14:27 Kitware Robot Resolution open => moved
2016-06-10 14:30 Kitware Robot Status resolved => closed


Copyright © 2000 - 2018 MantisBT Team